Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062040 - Missing resend / update activation email page for google sign in
Summary: Missing resend / update activation email page for google sign in
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Zanata
Classification: Retired
Component: Authentication-OpenID
Version: development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Carlos Munoz
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 05:13 UTC by Damian Jansen
Modified: 2015-06-19 00:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-19 00:52:06 UTC


Attachments (Terms of Use)

Description Damian Jansen 2014-02-06 05:13:11 UTC
Description of problem:
If the user signs up with Google id and then attempts to log in via the same id, it sends them back to the login page without any indication of what has occurred.
It should be presenting an activation email update / resend page.

Version-Release number of selected component (if applicable):
3.3.0 RC1

How reproducible:
Easy always

Steps to Reproduce:
1. Click Sign Up, then the Google button
2. Log into / select a google account
3. Fill in the new user form and press save
- Goes to home, with activation email message displayed
4. Press Login, then the Google button

Actual results:
The login page is displayed

Expected results:
A resend / update email page should be displayed

Additional info:
If multiple Google accounts are signed in, it will show the selector page first

Comment 1 Damian Jansen 2014-05-16 01:13:51 UTC
Still exists in 3.4.0-snapshot

Comment 2 Alex Eng 2015-06-19 00:52:06 UTC
We've disabled google open id login.

https://bugzilla.redhat.com/show_bug.cgi?id=1218002


Note You need to log in before you can comment on or make changes to this bug.